# TestReport

API Documentation: | `TestReport`

Note: This class is incubating and may change in a future version of Gradle.

Generates an HTML test report from the results of one or more `Test` tasks.

### Properties

Property | Description
`destinationDir` | Incubating The directory to write the HTML report to.
`testResultDirs` | Incubating The set of binary test results to include in the report.

### Methods

Method | Description
`reportOn(results)` | Incubating Adds some results to include in the report.

### Script blocks

No script blocks

### Property details

#### `File` `destinationDir`

Note: This property is incubating and may change in a future version of Gradle.

The directory to write the HTML report to.

#### `FileCollection` `testResultDirs`

Note: This property is incubating and may change in a future version of Gradle.

The set of binary test results to include in the report.

### Method details

#### `void` `reportOn`(``Object`...` results)

Note: This method is incubating and may change in a future version of Gradle.

Adds some results to include in the report.

This method accepts any parameter of the given types:

- A `Test` task instance. The results from the test task are included in the report. The test task is automatically added as a dependency of this task.
- Anything that can be converted to a set of `File` instances as per `Project.files(java.lang.Object[])`. These must point to the binary test results directory generated by a `Test` task instance.
- An `Iterable`. The contents of the iterable are converted recursively.